"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assign = void 0;
const storage_1 = require("./storage");
const PinoLogger_1 = require("./PinoLogger");
/**
 * assign replaces current logger with the child one containing passed fields
 * @param fields
 */
function assign(fields) {
    const store = storage_1.storage.getStore();
    if (!store) {
        throw new Error(`${PinoLogger_1.PinoLogger.name}: unable to assign extra fields out of request scope`);
    }
    store.logger = store.logger.child(fields);
}
exports.assign = assign;
//# sourceMappingURL=assign.js.map